Package org.opensaml.saml.saml2.common

# Class IsTimeboundSAMLObjectValidPredicate

java.lang.Object
org.opensaml.saml.saml2.common.IsTimeboundSAMLObjectValidPredicate

All Implemented Interfaces:
  `Predicate<XMLObject>`

public class IsTimeboundSAMLObjectValidPredicate extends Object implements Predicate<XMLObject>
Predicate which applies `SAML2Support.isValid(XMLObject)` to the target input.

## Constructor Summary

Constructors
Constructor
Description
`IsTimeboundSAMLObjectValidPredicate()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(XMLObject input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Constructor Details

### IsTimeboundSAMLObjectValidPredicate

public IsTimeboundSAMLObjectValidPredicate()

## Method Details

### test

public boolean test(@Nullable XMLObject input)

Specified by:
  `test` in interface `Predicate<XMLObject>`